Cyberduck Mountain Duck CLI

#1190 closed enhancement (fixed)

Option to choose whether keychain remembers passwords by default

Reported by: MokoJumbie Owned by: dkocher
Priority: low Milestone: 2.8.3
Component: interface Version: 2.7.3
Severity: normal Keywords: password login keychain preference
Cc: Architecture:
Platform:

Description

Would it be possible to have an option in the preferences beneath 'Use Keychain' to choose whether the 'add to keychain' checkbox in login sheets are enabled by default? I would rather have to explicitly choose whether to enable it on a case-by case basis.

Change History (5)

comment:1 Changed on Jul 25, 2007 at 8:54:48 PM by dkocher

  • Component changed from core to interface
  • Status changed from new to assigned

comment:2 Changed on Jul 25, 2007 at 8:54:59 PM by dkocher

  • Priority changed from normal to low

comment:3 Changed on Dec 29, 2007 at 7:49:14 PM by dkocher

  • Milestone set to 2.8.3
  • Resolution set to wontfix
  • Status changed from assigned to closed

The Add to Keychain checkbox is selected by default if Use Keychain is selected in the Preferences.

comment:4 Changed on Dec 30, 2007 at 7:22:12 AM by MokoJumbie

  • Resolution wontfix deleted
  • Status changed from closed to reopened

Perhaps I have not been clear enough. I would like to use the keychain. However, I would prefer not to have passwords entered into the keychain by default. Is this difficult to do?

Some users may prefer the current behaviour which is why I suggested it should be optional.

comment:5 Changed on Jan 2, 2008 at 11:32:24 AM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

As of r3395, you can set the following default

defaults write ch.sudo.cyberduck connection.login.addKeychain false

Paste this into a Terminal.app window and restart Cyberduck. The Add to Keychain checkbox is then not selected by default even when you have choosen in the Preferences to use the Keychain to lookup passwords.

There is currently no option for this in the Preferences.

Note: See TracTickets for help on using tickets.
swiss made software